com.impinj.stp

## Interface StpApi.TagMetricsOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.TagMetrics, StpApi.TagMetrics.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.TagMetricsOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.TagModeMetrics` | `getCartonContentsMetrics()`
    `StpApi.TagModeMetricsOrBuilder` | `getCartonContentsMetricsOrBuilder()`
    `StpApi.TagModeMetrics` | `getEncodeMetrics()`
    `StpApi.TagModeMetricsOrBuilder` | `getEncodeMetricsOrBuilder()`
    `StpApi.TagModeMetrics` | `getInventoryMetrics()`
    `StpApi.TagModeMetricsOrBuilder` | `getInventoryMetricsOrBuilder()`
    `com.google.protobuf.ByteString` | `getTagChip()`
    `StpApi.TagModeMetrics` | `getVerifyBasicMetrics()`
    `StpApi.TagModeMetricsOrBuilder` | `getVerifyBasicMetricsOrBuilder()`
    `StpApi.TagModeMetrics` | `getVerifyDataMetrics()`
    `StpApi.TagModeMetricsOrBuilder` | `getVerifyDataMetricsOrBuilder()`
    `boolean` | `hasCartonContentsMetrics()`
    `boolean` | `hasEncodeMetrics()`
    `boolean` | `hasInventoryMetrics()`
    `boolean` | `hasTagChip()`
    `boolean` | `hasVerifyBasicMetrics()`
    `boolean` | `hasVerifyDataMetrics()`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasTagChip

          boolean hasTagChip()

    - #### getTagChip

          com.google.protobuf.ByteString getTagChip()

    - #### hasVerifyBasicMetrics

          boolean hasVerifyBasicMetrics()

    - #### getVerifyBasicMetrics

          StpApi.TagModeMetrics getVerifyBasicMetrics()

    - #### getVerifyBasicMetricsOrBuilder

          StpApi.TagModeMetricsOrBuilder getVerifyBasicMetricsOrBuilder()

    - #### hasVerifyDataMetrics

          boolean hasVerifyDataMetrics()

    - #### getVerifyDataMetrics

          StpApi.TagModeMetrics getVerifyDataMetrics()

    - #### getVerifyDataMetricsOrBuilder

          StpApi.TagModeMetricsOrBuilder getVerifyDataMetricsOrBuilder()

    - #### hasEncodeMetrics

          boolean hasEncodeMetrics()

    - #### getEncodeMetrics

          StpApi.TagModeMetrics getEncodeMetrics()

    - #### getEncodeMetricsOrBuilder

          StpApi.TagModeMetricsOrBuilder getEncodeMetricsOrBuilder()

    - #### hasInventoryMetrics

          boolean hasInventoryMetrics()

    - #### getInventoryMetrics

          StpApi.TagModeMetrics getInventoryMetrics()

    - #### getInventoryMetricsOrBuilder

          StpApi.TagModeMetricsOrBuilder getInventoryMetricsOrBuilder()

    - #### hasCartonContentsMetrics

          boolean hasCartonContentsMetrics()

    - #### getCartonContentsMetrics

          StpApi.TagModeMetrics getCartonContentsMetrics()

    - #### getCartonContentsMetricsOrBuilder

          StpApi.TagModeMetricsOrBuilder getCartonContentsMetricsOrBuilder()